<template>
<div class="consultant-reviews-page">
    <section class="mdTxt">
        查看紀錄
    </section>

    <section class="consultant-reviews-header">
        <div class="header-title mdTxt">
            滿意度紀錄
        </div>
    </section>


    <section class="consultant-reviews-content">
        <div class="consultant-reviews-card" v-for="(item,index) in consultantReviewsList" :key="index">
            <div class="consultant-reviews-card-content" >
                {{item.name + ' '}}對您做了{{item.score}}評價!
            </div>
            <div class="consultant-reviews-card-date">
                <div class="date">
                {{item.date}}
                </div>
                <div class="time">
                {{item.time}}
                </div>
            </div>
        </div>
    </section>

</div>

</template>
<script lang="ts">
import { Vue , Component} from 'vue-property-decorator';


@Component
export default  class Reviews extends Vue{
    
        consultantReviewsList=[
            {
                name:'王聰明',
                score:'★★★★★★',
                date:'今天',
                time:'10:00'
            },
            {
                name:'Arial',
                score:'★★★',
                date:'昨天',
                time:'23:59'
            },
            {
                name:'Donna',
                score:'★★',
                date:'3天前',
                time:'10:00'
            },
            {
                name:'陳爸爸',
                score:'★★★★★★',
                date:'8/30',
                time:'10:00'
            },
            {
                name:'李伯伯',
                score:'★★★★★★',
                date:'2020/12/21',
                time:'10:00'
            }
        ]
    
}
</script>
<style lang="scss" scoped>
.consultant-reviews-page{
    margin-bottom:155px;
    .consultant-reviews-header{
        height: 43px;
        margin-top: 28px;
        display: flex;
        justify-content: center;
        border-bottom: 2px solid black;
    }
    .consultant-reviews-content{
        .consultant-reviews-card{
            display: flex;
            justify-content: space-between;
            margin-top: 26px;
            border-bottom: 1px solid #707070;
            height: 54px;
            padding-bottom: 15px;
            .consultant-reviews-card-content{
                width: 242px;
                padding-right:50px;
                line-height: 1.2;
                font-size: 20px;
                margin-left: 15px;
            }
            .consultant-reviews-card-date{
                font-size: 12px;
                display: flex;
                flex-direction: column;
                align-items: flex-end;
                margin-right: 15px;
                width:52px;
                .date{
                    margin-bottom: 2px;
                    
                }
            }
        }
    }
}
@include desktop{
    .consultant-reviews-card-content{
        flex: 1;
    }
}
</style>